Routesv2ServersSlug

/servers/{slug}

Partially update an MCP server using JSON Merge Patch (RFC 7396). Send only the fields to change. Explicit null clears nullable fields (oauthMetadata, oauthClientConfiguration). Absent fields are untouched. Read-only fields are silently ignored

PATCH
/servers/{slug}
AuthorizationBearer <token>

In: header

Path Parameters

slug*string
Length1 <= length

Request Body

application/json

[key: string]?unknown

Response Body

application/json

curl -X PATCH "https://YOUR_ORG_ID.s.gatana.ai/api/v2/servers/string" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{
  "id": "string",
  "slug": "string",
  "tenantId": "string",
  "description": "string",
  "authorization": {
    "method": "none",
    "credentialsScope": "server",
    "apikeys": [
      "string"
    ],
    "toolRefreshCredentialPolicy": "server-scoped"
  },
  "transportConfig": {
    "type": "httpstreaming",
    "url": "string",
    "headers": [
      [
        "string",
        "string"
      ]
    ]
  },
  "oauthClientConfiguration": {},
  "oauthMetadata": {},
  "visibility": "private",
  "isEnabled": true,
  "lastToolRefreshAt": "string",
  "mcpProtocolVersion": "string",
  "mcpProtocolDetectedAt": "string",
  "timeoutProtocol": 1,
  "timeoutTotal": 1,
  "resetTimeoutOnProgressNotification": true,
  "isOutputCompressionEnabled": true,
  "isOutputCompressionTransformEnabled": true,
  "outputCompressionThresholdBytes": 1024,
  "firewallRules": [
    {
      "tools": [],
      "condition": "",
      "check": {
        "type": "secrets",
        "target": "arguments"
      },
      "action": "deny"
    }
  ],
  "protections": {
    "secrets": {
      "mode": "off",
      "actions": {
        "arguments": "off",
        "result": "off"
      },
      "settings": {}
    },
    "pii": {
      "mode": "off",
      "actions": {
        "arguments": "off",
        "result": "off"
      },
      "settings": {}
    },
    "injection": {
      "mode": "off",
      "actions": {
        "arguments": "off",
        "result": "off"
      },
      "settings": {}
    }
  },
  "createdAt": "string",
  "updatedAt": "string",
  "resolvedProtections": {
    "secrets": {
      "actions": {
        "arguments": {
          "action": "off",
          "source": "server",
          "inherited": "off"
        },
        "result": {
          "action": "off",
          "source": "server",
          "inherited": "off"
        }
      },
      "settings": {
        "property1": {
          "value": null,
          "source": "server",
          "inherited": null
        },
        "property2": {
          "value": null,
          "source": "server",
          "inherited": null
        }
      }
    },
    "pii": {
      "actions": {
        "arguments": {
          "action": "off",
          "source": "server",
          "inherited": "off"
        },
        "result": {
          "action": "off",
          "source": "server",
          "inherited": "off"
        }
      },
      "settings": {
        "property1": {
          "value": null,
          "source": "server",
          "inherited": null
        },
        "property2": {
          "value": null,
          "source": "server",
          "inherited": null
        }
      }
    },
    "injection": {
      "actions": {
        "arguments": {
          "action": "off",
          "source": "server",
          "inherited": "off"
        },
        "result": {
          "action": "off",
          "source": "server",
          "inherited": "off"
        }
      },
      "settings": {
        "property1": {
          "value": null,
          "source": "server",
          "inherited": null
        },
        "property2": {
          "value": null,
          "source": "server",
          "inherited": null
        }
      }
    }
  }
}

Last updated on